<?xml version="1.0" encoding="utf-8"?>
<config-project id="namespace3" version="1.0" showDisabledItems="false">
    <config-page id="campus_insight" folder="false">
        <config-set id="lld_nodes_users" type="table" headers="pwd_config_headers" visible="true">
            <config id="os_login_user" type="string" default="root" required="true" editable="false" visible="false"/>
            <config id="os_root_user_pwd_lable" type="labelfield" />
            <config id="os_root_user_pwd" type="single_password" pswtype="os" isCheckWeakPassWord="false" refuser="os_login_user" default="" required="true" editable="true"/>
            <config id="os_root_user_pwd_desc_id" type="labelfield" default="os_root_user_pwd_desc"/>
            <config id="os_others_user_pwd_label" type="labelfield" />
            <config id="os_others_user_pwd" type="password" pswtype="os" refuser="sopuser_user_name" default="" required="true" editable="true"/>
            <config id="os_others_user_pwd_desc_id" type="labelfield" default="os_others_user_pwd_desc"/>
        </config-set>
        <config-set id="password_check_users_name" type="table" headers="pwd_config_headers" visible="false">
            <config id="sopuser_user_name" type="string" default="sopuser" required="true" editable="false" visible="false"/>
            <config id="dbuser_user_name" type="string" default="dbuser" required="true" editable="false" visible="false"/>
        </config-set>

        <config-set id="nodes_info" type="table" headers="nodes_config_headers_standalne" visible="true">
            <config id="lld_node_1" type="labelfield" default="product_node" required="true"/>
            <!--待检测连通性IP的ID需要符合该规则：node_vm_eth(\d+)_ip_(\d+)，其中的eth(\d+)需要和指定的保持相同,默认为eth3,
            ip后数字最高位区分分析器和采集器，紧接着两位表示集群序号，剩下的数字表示采集器或分析器序号-->
			<config default="" dependsAction="ext_show" dependsID="north_type" dependsOp="eq" dependsValue="IPv4" editable="true" id="node_vm_eth3_ip_0011" required="true" type="ip"/>
			<config default="" dependsAction="ext_show" dependsID="north_type" dependsOp="eq" dependsValue="IPv6" editable="true" extType="v6" id="node_vm_eth3_ipv6_0011" required="true" type="ip"/>
			<config default="" dependsAction="optional" dependsID="north_type" dependsOp="in" dependsValue="IPv6|IPv4" editable="false" id="node_ip_0011" optionalDepValues="IPv6,IPv4" optionalValues="${node_vm_eth3_ipv6_0011},${node_vm_eth3_ip_0011}" required="false" type="text" visible="false"/>
            <config id="lld_analyzer_node_1_ip_remark_id" default="lld_analyzer_node_simple_remark" type="labelfield" required="true"/>
			<config default="eth3" id="client_login_eth" required="false" type="labelfield" visible="false"/>
        </config-set>

        <config-set id="commons_settings" type="table" headers="common_header" visible="true">
            <config id="time_zone_lab" type="labelfield" default="OS_timezone_label" required="true"/>
            <config id="lld_nodes_os_tzone" type="time_zone_select" default="" required="true"
                    editable="true"/>
            <config id="time_zone_des_id" type="labelfield" default="time_zone_des" required="true"/>
            <config id="product_lang_label" type="labelfield" default="product langue"/>
            <config id="lld_product_lang" type="enum" default="" required="true" editable="true">
                <validation range="en_US,zh_CN"/>
            </config>
            <config id="product_lang_des_id" type="labelfield" default="product_lang_des"/>
        </config-set>

        
        <config-set id="lld_ntp_settings" type="table" headers="lld_ntp_config_header" widths="15,20,65" visible="true">
             <config id="lld_outer_ntp_ip_lab" type="labelfield" default="lld_outer_ntp_ip_lab_default" required="true"/>
            <config id="lld_outer_ntp_ip" type="ip" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float7_ip_1" dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show"/>
            <config id="lld_outer_ntp_ipv6" type="ip" extType="v6" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float7_ipv6_1" dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show"/>
            <config id="node_vm_float7_ip_1" type="ip" default="" required="false" editable="false" visible="false"/>
            <config id="node_vm_float7_ipv6_1" type="ip" extType="v6" default="" required="false" editable="false" visible="false"/>
            <config id="lld_outer_ntp_mode" type="enum" default="NTP_v4_validation" required="false" editable="true">
                <validation range="NTP_v4_validation,NTP_v4"/>
            </config>
            <config id="lld_outer_ntp_algorism" type="enum" default="SHA256" required="false" editable="true" dependsID="lld_outer_ntp_mode" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable">
                <validation range="SHA256,MD5"/>
            </config>
            <config id="lld_outer_ntp_mmvalue_index" type="string" errinfo="index_key_error" regexp="^([1-9]\d?|[1-9]\d{1}|[1-9]\d{2}|[1-9]\d{3}|[1-5]\d{4}|6[0-4]\d{3}|65[0-4]\d{2}|65{2}[0-2]\d{2}|65{2}3[0-4])$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
            <config id="lld_outer_ntp_mmvalue" type="single_password" pswtype="ntp" errinfo="index_key_error" regexp="^.{1,31}$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>

            <config id="outer_ntp_ip_lab_bak_1" type="labelfield" default="lld_outer_ntp_ip_lab_default_bak_1" required="true"/>
            <config id="lld_outer_ntp_ip_bak_1" type="ip" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float8_ip_1" dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show"/>
            <config id="lld_outer_ntp_ipv6_bak_1" type="ip" extType="v6" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float8_ipv6_1" dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show"/>
            <config id="node_vm_float8_ip_1" type="ip" default="" required="false" editable="false" visible="false"/>
            <config id="node_vm_float8_ipv6_1" type="ip" extType="v6" default="" required="false" editable="false" visible="false"/>
            <config id="lld_outer_ntp_mode_bak_1" type="enum" default="NTP_v4_validation" required="false" editable="true">
                <validation range="NTP_v4_validation,NTP_v4"/>
            </config>
            <config id="lld_outer_ntp_algorism_bak_1" type="enum" default="SHA256" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_1" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable">
                <validation range="SHA256,MD5"/>
            </config>
            <config id="lld_outer_ntp_mmvalue_index_bak_1" type="string" errinfo="index_key_error" regexp="^([1-9]\d?|[1-9]\d{1}|[1-9]\d{2}|[1-9]\d{3}|[1-5]\d{4}|6[0-4]\d{3}|65[0-4]\d{2}|65{2}[0-2]\d{2}|65{2}3[0-4])$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_1" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
            <config id="lld_outer_ntp_mmvalue_bak_1" type="single_password" pswtype="ntp" errinfo="index_key_error" regexp="^.{1,31}$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_1" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>

            <config id="outer_ntp_ip_lab_bak_2" type="labelfield" default="lld_outer_ntp_ip_lab_default_bak_2" required="true"/>
            <config id="lld_outer_ntp_ip_bak_2" type="ip" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float9_ip_1" dependsID="north_type" dependsValue="IPv4" dependsOp="eq" dependsAction="show"/>
            <config id="lld_outer_ntp_ipv6_bak_2" type="ip" extType="v6" errinfo="ip_error" default="" required="false" editable="true"
                    copyTo="node_vm_float9_ipv6_1" dependsID="north_type" dependsValue="IPv6" dependsOp="eq" dependsAction="show"/>
            <config id="node_vm_float9_ip_1" type="ip" default="" required="false" editable="false" visible="false"/>
            <config id="node_vm_float9_ipv6_1" type="ip" extType="v6" default="" required="false" editable="false" visible="false"/>
            <config id="lld_outer_ntp_mode_bak_2" type="enum" default="NTP_v4_validation" required="false" editable="true">
                <validation range="NTP_v4_validation,NTP_v4"/>
            </config>
            <config id="lld_outer_ntp_algorism_bak_2" type="enum" default="SHA256" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_2" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable">
                <validation range="SHA256,MD5"/>
            </config>
            <config id="lld_outer_ntp_mmvalue_index_bak_2" type="string" errinfo="index_key_error" regexp="^([1-9]\d?|[1-9]\d{1}|[1-9]\d{2}|[1-9]\d{3}|[1-5]\d{4}|6[0-4]\d{3}|65[0-4]\d{2}|65{2}[0-2]\d{2}|65{2}3[0-4])$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_2" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
            <config id="lld_outer_ntp_mmvalue_bak_2" type="single_password" pswtype="ntp" errinfo="index_key_error" regexp="^.{1,31}$" default="" required="false" editable="true" dependsID="lld_outer_ntp_mode_bak_2" dependsOp="eq" dependsValue="NTP_v4" dependsAction="disable,reset"/>
            
            
        </config-set>
        
        <config-set id="network_config" type="table" headers="cluster_network_config_headers">
            <config id="netcard_access_lab" type="labelfield" default="netcard_access_lab_default" required="true"/>
            <config id="lld_netcard_access" type="text" default="" required="true" editable="false" visible="false"/>
            <!--双平面-->
            <config id="lld_netcard_access_1" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="Yes" dependsAction="show"
                    copyTo="lld_netcard_access"/>
            <!--单平面-->
            <config id="lld_netcard_access_3" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="No" dependsAction="show"
                    copyTo="lld_netcard_south"/>
            <config id="netcard_access_desc_id" type="labelfield" default="netcard_access_desc" />

            <!--单平面下单栈南向或者双栈第一个南向网口-->
            <config id="netcard_south_lab" type="labelfield" default="netcard_south_lab_default" required="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="No" dependsAction="show" visible="true"/>
            <config id="lld_netcard_south" type="text" default="" required="true" editable="false"
                    visible="false" dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="No" dependsAction="show"
                    copyTo="lld_netcard_access"/>
            <config id="netcard_south_desc_id_no" type="labelfield" default="netcard_south_desc" dependsID="base_north_south_divided_campus" dependsOp="eq"
                   dependsValue="No" dependsAction="show"/>
            <!--单平面下双栈第二个南向网口-->
            <config id="netcard_south_lab_no_both_2" type="labelfield" default="netcard_south_lab_default_both" required="true"
                    dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="No,both" dependsAction="show,show" visible="true"/>
            <config id="lld_netcard_south_both" type="text" default="" required="true" regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    visible="false" dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="No,both" dependsAction="show,show"/>
            <config id="netcard_south_desc_id_no_both_2" type="labelfield" default="netcard_south_desc" dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq"
                   dependsValue="No,both" dependsAction="show,show"/>

            <!--双平面下 单栈或者双栈第一个南向网口-->
            <config id="lld_netcard_south_lab_yes" type="labelfield" default="netcard_south_lab_default" required="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="Yes" dependsAction="show" visible="true"/>
            <config id="lld_netcard_south_yes" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus" dependsOp="eq" dependsValue="Yes" dependsAction="show" copyTo="lld_netcard_south"/>
            <config id="netcard_south_desc_id" type="labelfield" default="netcard_south_desc" dependsID="base_north_south_divided_campus" dependsOp="eq"
                   dependsValue="Yes" dependsAction="show"/>
            <!--双平面双栈的第二个南向网口-->
            <config id="lld_netcard_south_lab_yes_both_2" type="labelfield" default="netcard_south_lab_default_both" required="true"
                    dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="Yes,both" dependsAction="show,show" visible="true"/>
            <config id="lld_netcard_south_yes_both_2" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq" dependsValue="Yes,both" dependsAction="show,show" copyTo="lld_netcard_south_both"/>
            <config id="lld_netcard_south_desc_id_yes_both_2" type="labelfield" default="netcard_south_desc"
                   dependsID="base_north_south_divided_campus,south_type" dependsOp="eq,eq"
                   dependsValue="Yes,both" dependsAction="show,show"/>
            <!--异地容灾网口-->
            <config id="lld_netcard_protection_hot_lab" type="labelfield" default="lld_netcard_protection_hot_lab_default" required="true"
                    visible="true" dependsID="is_protection_hot" dependsOp="eq" dependsValue="Yes" dependsAction="show"/>
            <config id="lld_netcard_protection_hot" type="text" default="" required="true"
                    regexp="^[a-zA-Z][a-zA-Z0-9]{1,9}$" errinfo="netcard_name_error" editable="true"
                    dependsID="is_protection_hot" dependsOp="eq" dependsValue="Yes" dependsAction="show"/>
            <config id="lld_netcard_protection_hot_desc_id" type="labelfield" default="lld_netcard_protection_hot_desc"
                    dependsID="is_protection_hot" dependsOp="eq" dependsValue="Yes" dependsAction="show"/>
        </config-set>

        <config-set id="cloudsop_config" type="table" headers="common_header">
            <config id="db_login_pwd_label" type="labelfield" />
            <config id="db_login_pwd" type="password" default="" pswtype="gauss" refuser="dbuser_user_name" required="true" editable="true"/>
            <config id="db_login_pwd_desc_id" type="labelfield" default="db_login_pwd_desc"/>
            <config id="cloudsop_pwd_label" type="labelfield" />
            <config id="cloudsop_pwd" type="password" regexp="^(?![a-zA-Z0-9]+$)(?![a-zA-Z~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]+$)(?![A-Z0-9~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]+$)(?![a-z0-9~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]+$)[0-9a-zA-Z~`!\?,\.:;\-_'\(\)\{\}\[\]/&lt;&gt;@#\$%\^&amp;\*\+\|=]{8,64}$"
                    default="" errinfo="cloudsop_passwd_error" required="true" editable="true"/>
            <config id="cloudsop_pwd_des_id" type="labelfield" default="cloudsop_pwd_desc"/>
        </config-set>

    </config-page>
</config-project>